Skip to main content
`Ctrl`+`K`

# PCShellGetContext

Returns the user-provided context associated with a shell `PC` that was provided with `PCShellSetContext()`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCShellGetContext(PC pc, void *ctx)

Not Collective

## Input Parameter

- pc - of type `PCSHELL`

## Output Parameter

- ctx - the user provided context

## Note

This routine is intended for use within the various user-provided routines set with, for example, `PCShellSetApply()`

## Fortran Note

To use this from Fortran you must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the ctx argument.

## See Also

KSP: Linear System Solvers, `PC`, `PCSHELL`, `PCShellSetContext()`, `PCShellSetApply()`, `PCShellSetDestroy()`

## Level

advanced

## Location

src/ksp/pc/impls/shell/shellpc.c

## Examples

src/tao/pde_constrained/tutorials/hyperbolic.c
src/tao/pde_constrained/tutorials/parabolic.c
src/ksp/ksp/tutorials/ex15.c
src/ksp/ksp/tutorials/ex60.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages